/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat/arvo.h"
#include "g_roccat_helper.h"
#include <unistd.h>
#include <errno.h>


gboolean arvo_play_quicklaunch_forked_ns(ArvoRkpButtonInfo const *button_info) {
	if (button_info->type != ARVO_RKP_BUTTON_INFO_TYPE_QUICKLAUNCH_NS)
		return FALSE;

	g_debug("Executing %s", button_info->macroset_name);

	switch (roccat_fork2()) {
	case 0:
		execlp((gchar const *)button_info->macroset_name, "", (char const *)NULL);
		/* if code is executed past this point, something went wrong */
		g_error("couldn't execute %s", g_strerror(errno));
		break;
	case -1:
		g_warning("couldn't fork");
		return FALSE;
	default:
		return TRUE;
	}
}
