/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat/isku.h"
#include <unistd.h>
#include <errno.h>

gboolean isku_play_quicklaunch_forked(IskuRkpMacroKeyInfo const *macro_key_info) {
	if (macro_key_info->type != ISKU_KEY_TYPE_QUICKLAUNCH)
		return FALSE;

	g_debug("Executing %s", macro_key_info->filename);

	switch (roccat_fork2()) {
	case 0:
		execlp((gchar const *)macro_key_info->filename, "", (char const *)NULL);
		/* if code is executed past this point, something went wrong */
		g_error("couldn't execute %s", g_strerror(errno));
	case -1:
		g_warning("couldn't fork");
		return FALSE;
	default:
		return TRUE;
	}
}
