/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_tooltips.h"

void roccat_widget_set_tooltip_gamefile_frame(GtkWidget *widget) {
	gtk_widget_set_tooltip_text(widget,
			"Normally you give an absolute path to executable. "
			"If you need more control you can enter pearl compatible regular expressions.\n"
			"Change the interval at which the processes are scanned with the proc_scan_interval configuration option.");
}

void roccat_widget_set_tooltip_config_proc_scan_interval(GtkWidget *widget) {
	gtk_widget_set_tooltip_text(widget,
			"Unit is seconds. Roccats Windows drivers use a scan interval of 2 seconds.\n"
			"If you don't use this feature and are concerned about your resources, set this value to 0 to disable it.\n"
			"The new value will take effect on next start of the application.");
}
